com.mapinfo.midev.language.filter

## Class GeometryOperator

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.language.filter.GeometryOperator

All Implemented Interfaces:
  Serializable, Comparable

    public final class GeometryOperator
    extends Enum

Enumeration of geometry comparison operation types. Most of the operations are defined by the OGC Simple Features Specification for SQL. Operations CENTROID_WITHIN, CONTAINS_CENTROID, and ENVELOPES_INTERSECT are simplifications on WITHIN, CONTAINS, and INTERSECTS, respectively, intended to provide a quicker test based on a geometry's representative point or envelope.

See Also:
  Serialized Form

### Field Summary

Fields
`static GeometryOperator` `CENTROID_WITHIN` Tests if the representative point of geometry a is contained within geometry b.
`static GeometryOperator` `CONTAINS` a.Contains(b): Tests if geometry b is contained entirely within geometry a.
`static GeometryOperator` `CONTAINS_CENTROID` Tests if the representative point of geometry b is contained within geometry a.
`static GeometryOperator` `CROSSES` a.Crosses(b): Tests if geometry a crosses geometry b.
`static GeometryOperator` `DISJOINT` a.Disjoint(b): Tests if two geometries are disjoint (not intersecting).
`static GeometryOperator` `ENVELOPES_INTERSECT` Tests if the envelopes of geometries a and b intersect.
`static GeometryOperator` `EQUALS` a.Equals(b): Tests if two geometries are equivalent.
`static GeometryOperator` `INTERSECTS` a.Intersects(b): Tests if geometries a and b intersect.
`static GeometryOperator` `INTERSECTS_ENVELOPE` a.Intersects( Envelope of b ): Tests if geometry a intersects the envelope of geometry b.
`static GeometryOperator` `OVERLAPS` a.Overlaps(b): Tests if geometry a overlaps geometry b.
`static GeometryOperator` `TOUCHES` a.Touches(b): Tests if geometries a and b touch.
`static GeometryOperator` `WITHIN` a.Within(b): Tests if geometry a is contained entirely within geometry b.

### Method Summary

All Methods Static Methods Concrete Methods
`static GeometryOperator` `valueOf(String name)`
`static GeometryOperator[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CONTAINS

    public static final GeometryOperator CONTAINS

a.Contains(b): Tests if geometry b is contained entirely within geometry a.

#### CONTAINS_CENTROID

    public static final GeometryOperator CONTAINS_CENTROID

Tests if the representative point of geometry b is contained within geometry a.

#### WITHIN

    public static final GeometryOperator WITHIN

a.Within(b): Tests if geometry a is contained entirely within geometry b.

#### CENTROID_WITHIN

    public static final GeometryOperator CENTROID_WITHIN

Tests if the representative point of geometry a is contained within geometry b.

#### INTERSECTS

    public static final GeometryOperator INTERSECTS

a.Intersects(b): Tests if geometries a and b intersect.

#### INTERSECTS_ENVELOPE

    public static final GeometryOperator INTERSECTS_ENVELOPE

a.Intersects( Envelope of b ): Tests if geometry a intersects the envelope of geometry b. This corresponds to the OGC BBOX filter encoding.

#### ENVELOPES_INTERSECT

    public static final GeometryOperator ENVELOPES_INTERSECT

Tests if the envelopes of geometries a and b intersect.

#### TOUCHES

    public static final GeometryOperator TOUCHES

a.Touches(b): Tests if geometries a and b touch.

#### CROSSES

    public static final GeometryOperator CROSSES

a.Crosses(b): Tests if geometry a crosses geometry b.

#### EQUALS

    public static final GeometryOperator EQUALS

a.Equals(b): Tests if two geometries are equivalent.

#### OVERLAPS

    public static final GeometryOperator OVERLAPS

a.Overlaps(b): Tests if geometry a overlaps geometry b.

#### DISJOINT

    public static final GeometryOperator DISJOINT

a.Disjoint(b): Tests if two geometries are disjoint (not intersecting).

### Method Detail

#### values

    public static GeometryOperator[] values()

#### valueOf

    public static GeometryOperator valueOf(String name)